diff --git a/addons/redis-1.1.0/plans/standard-1024/values.yaml b/addons/redis-1.1.0/plans/standard-1024/values.yaml
index 5ce158ea..72122791 100644
--- a/addons/redis-1.1.0/plans/standard-1024/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-1024/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-128/values.yaml b/addons/redis-1.1.0/plans/standard-128/values.yaml
index eaa130f2..18ce89c0 100644
--- a/addons/redis-1.1.0/plans/standard-128/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-128/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-16384/values.yaml b/addons/redis-1.1.0/plans/standard-16384/values.yaml
index 198e4f62..e567c716 100644
--- a/addons/redis-1.1.0/plans/standard-16384/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-16384/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-2048/values.yaml b/addons/redis-1.1.0/plans/standard-2048/values.yaml
index 6616556e..7cdc1aec 100644
--- a/addons/redis-1.1.0/plans/standard-2048/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-2048/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-256/values.yaml b/addons/redis-1.1.0/plans/standard-256/values.yaml
index 0128c2c3..e32259b0 100644
--- a/addons/redis-1.1.0/plans/standard-256/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-256/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-32768/values.yaml b/addons/redis-1.1.0/plans/standard-32768/values.yaml
index bc1c482d..69faa029 100644
--- a/addons/redis-1.1.0/plans/standard-32768/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-32768/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-4096/values.yaml b/addons/redis-1.1.0/plans/standard-4096/values.yaml
index 1aa41f5d..bd66ad06 100644
--- a/addons/redis-1.1.0/plans/standard-4096/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-4096/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-512/values.yaml b/addons/redis-1.1.0/plans/standard-512/values.yaml
index 032a847f..e97074ab 100644
--- a/addons/redis-1.1.0/plans/standard-512/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-512/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-65536/values.yaml b/addons/redis-1.1.0/plans/standard-65536/values.yaml
index 945e61e0..3b8cc6b3 100644
--- a/addons/redis-1.1.0/plans/standard-65536/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-65536/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true
diff --git a/addons/redis-1.1.0/plans/standard-8192/values.yaml b/addons/redis-1.1.0/plans/standard-8192/values.yaml
index 895b205b..193638aa 100644
--- a/addons/redis-1.1.0/plans/standard-8192/values.yaml
+++ b/addons/redis-1.1.0/plans/standard-8192/values.yaml
@@ -17,7 +17,7 @@ cluster:
 ## Use redis sentinel in the redis pod. This will disable the master and slave services and
 ## create one redis service with ports to the sentinel and the redis instances
 sentinel:
-  enabled: true
+  enabled: false
   ## Require password authentication on the sentinel itself
   ## ref: https://redis.io/topics/sentinel
   usePassword: true