diff --git a/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml b/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml
index 96c4ccbd..3e25e3df 100644
--- a/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml
+++ b/addons/clickhouse/24/plans/standard-16c64g1000/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 16000m
     memory: 64Gi
   requests:
-    cpu: 4000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 1000Gi
diff --git a/addons/clickhouse/24/plans/standard-2c4g20/values.yaml b/addons/clickhouse/24/plans/standard-2c4g20/values.yaml
index 0c5d38c4..16da5abd 100644
--- a/addons/clickhouse/24/plans/standard-2c4g20/values.yaml
+++ b/addons/clickhouse/24/plans/standard-2c4g20/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 2000m
     memory: 4Gi
   requests:
-    cpu: 2000m
-    memory: 4Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 20Gi
diff --git a/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml b/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml
index a933b9da..c14f97a5 100644
--- a/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml
+++ b/addons/clickhouse/24/plans/standard-32c64g12000/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 32000m
     memory: 64Gi
   requests:
-    cpu: 8000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 12000Gi
diff --git a/addons/clickhouse/24/plans/standard-4c16g100/values.yaml b/addons/clickhouse/24/plans/standard-4c16g100/values.yaml
index 39aa6b39..d8ef0c53 100644
--- a/addons/clickhouse/24/plans/standard-4c16g100/values.yaml
+++ b/addons/clickhouse/24/plans/standard-4c16g100/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 4000m
     memory: 16Gi
   requests:
-    cpu: 2000m
-    memory: 4Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 100Gi
diff --git a/addons/clickhouse/24/plans/standard-8c32g500/values.yaml b/addons/clickhouse/24/plans/standard-8c32g500/values.yaml
index 117e2e58..b34de919 100644
--- a/addons/clickhouse/24/plans/standard-8c32g500/values.yaml
+++ b/addons/clickhouse/24/plans/standard-8c32g500/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 8000m
     memory: 32Gi
   requests:
-    cpu: 2000m
-    memory: 8Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 500Gi
diff --git a/addons/mongodb/7.0/plans/standard-16c64g400/values.yaml b/addons/mongodb/7.0/plans/standard-16c64g400/values.yaml
index 9ef94dff..400e61dc 100644
--- a/addons/mongodb/7.0/plans/standard-16c64g400/values.yaml
+++ b/addons/mongodb/7.0/plans/standard-16c64g400/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 16000m
     memory: 64Gi
   requests:
-    cpu: 8000m
-    memory: 32Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 400Gi
diff --git a/addons/mongodb/7.0/plans/standard-1c2g10/values.yaml b/addons/mongodb/7.0/plans/standard-1c2g10/values.yaml
index 2f543d11..2e026ef2 100644
--- a/addons/mongodb/7.0/plans/standard-1c2g10/values.yaml
+++ b/addons/mongodb/7.0/plans/standard-1c2g10/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 1000m
     memory: 2Gi
   requests:
-    cpu: 1000m
-    memory: 2Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 10Gi
diff --git a/addons/mongodb/7.0/plans/standard-2c4g20/values.yaml b/addons/mongodb/7.0/plans/standard-2c4g20/values.yaml
index 9b7336ab..20dd90d0 100644
--- a/addons/mongodb/7.0/plans/standard-2c4g20/values.yaml
+++ b/addons/mongodb/7.0/plans/standard-2c4g20/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 2000m
     memory: 4Gi
   requests:
-    cpu: 2000m
-    memory: 4Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 20Gi
diff --git a/addons/mongodb/7.0/plans/standard-2c8g50/values.yaml b/addons/mongodb/7.0/plans/standard-2c8g50/values.yaml
index e86171e5..0eaf31f4 100644
--- a/addons/mongodb/7.0/plans/standard-2c8g50/values.yaml
+++ b/addons/mongodb/7.0/plans/standard-2c8g50/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 2000m
     memory: 8Gi
   requests:
-    cpu: 2000m
-    memory: 8Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 50Gi
diff --git a/addons/mongodb/7.0/plans/standard-32c128g800/values.yaml b/addons/mongodb/7.0/plans/standard-32c128g800/values.yaml
index 4c339766..7c95075e 100644
--- a/addons/mongodb/7.0/plans/standard-32c128g800/values.yaml
+++ b/addons/mongodb/7.0/plans/standard-32c128g800/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 32000m
     memory: 128Gi
   requests:
-    cpu: 16000m
-    memory: 64Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 800Gi
diff --git a/addons/mongodb/7.0/plans/standard-4c16g100/values.yaml b/addons/mongodb/7.0/plans/standard-4c16g100/values.yaml
index 51c69c34..bd4a6497 100644
--- a/addons/mongodb/7.0/plans/standard-4c16g100/values.yaml
+++ b/addons/mongodb/7.0/plans/standard-4c16g100/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 4000m
     memory: 16Gi
   requests:
-    cpu: 4000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 100Gi
diff --git a/addons/mongodb/7.0/plans/standard-8c32g200/values.yaml b/addons/mongodb/7.0/plans/standard-8c32g200/values.yaml
index 442f087d..c29f09d4 100644
--- a/addons/mongodb/7.0/plans/standard-8c32g200/values.yaml
+++ b/addons/mongodb/7.0/plans/standard-8c32g200/values.yaml
@@ -16,8 +16,8 @@ resources:
     cpu: 8000m
     memory: 32Gi
   requests:
-    cpu: 4000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistence:
   size: 200Gi
diff --git a/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml b/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml
index b7bfb0ea..2360e5f9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-16c64g400/values.yaml
@@ -31,8 +31,8 @@ primary:
       cpu: 16000m
       memory: 64Gi
     requests:
-      cpu: 8000m
-      memory: 32Gi
+      cpu: 100m
+      memory: 1Gi
 
 ## @section Persistence parameters
 
@@ -83,6 +83,6 @@ router:
     limits: 
       cpu: 1600m
       memory: 2Gi
-    requests: 
-      cpu: 1600m
-      memory: 2Gi
\ No newline at end of file
+    requests:
+      cpu: 100m
+      memory: 1Gi
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml b/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
index 20775ba1..7a075ef2 100644
--- a/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
@@ -32,8 +32,8 @@ primary:
       cpu: 2000m
       memory: 4Gi
     requests:
-      cpu: 2000m
-      memory: 4Gi
+    cpu: 100m
+    memory: 1Gi
   
 
 ## @section Persistence parameters
@@ -86,5 +86,5 @@ router:
       cpu: 500m
       memory: 512Mi
     requests: 
-      cpu: 500m
+      cpu: 100m
       memory: 512Mi
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml b/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml
index 98bc94c8..5be1ec90 100644
--- a/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-2c8g50/values.yaml
@@ -31,8 +31,8 @@ primary:
       cpu: 2000m
       memory: 8Gi
     requests:
-      cpu: 2000m
-      memory: 8Gi
+      cpu: 100m
+      memory: 1Gi
   
 ## @section Persistence parameters
 
@@ -83,5 +83,5 @@ router:
       cpu: 500m
       memory: 512Mi
     requests: 
-      cpu: 500m
+      cpu: 100m
       memory: 512Mi
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml b/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml
index d854cec1..d76c4f3a 100644
--- a/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-32c128g800/values.yaml
@@ -31,8 +31,8 @@ primary:
       cpu: 32000m
       memory: 128Gi
     requests:
-      cpu: 16000m
-      memory: 64Gi
+      cpu: 100m
+      memory: 1Gi
 
 ## @section Persistence parameters
 
@@ -82,6 +82,6 @@ router:
     limits: 
       cpu: 3200m
       memory: 4Gi
-    requests: 
-      cpu: 3200m
-      memory: 4Gi
\ No newline at end of file
+    requests:
+      cpu: 100m
+      memory: 1Gi
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml b/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml
index 6312e572..944047a0 100644
--- a/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-4c16g100/values.yaml
@@ -32,8 +32,8 @@ primary:
       cpu: 4000m
       memory: 16Gi
     requests:
-      cpu: 4000m
-      memory: 12Gi
+      cpu: 100m
+      memory: 1Gi
   
 ## @section Persistence parameters
 
diff --git a/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml b/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml
index 7c7f49a0..fb9a0c0c 100644
--- a/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-8c32g200/values.yaml
@@ -31,8 +31,8 @@ primary:
       cpu: 8000m
       memory: 32Gi
     requests:
-      cpu: 4000m
-      memory: 16Gi
+      cpu: 100m
+      memory: 1Gi
 
 ## @section Persistence parameters
 
@@ -83,6 +83,6 @@ router:
     limits: 
       cpu: 800m
       memory: 1024Mi
-    requests: 
-      cpu: 800m
-      memory: 1024Mi
\ No newline at end of file
+    requests:
+      cpu: 100m
+      memory: 1Gi
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-16c64g400/values.yaml b/addons/postgresql-cluster/15/plans/standard-16c64g400/values.yaml
index 8fe5e689..f4cd8ae8 100644
--- a/addons/postgresql-cluster/15/plans/standard-16c64g400/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-16c64g400/values.yaml
@@ -70,8 +70,8 @@ resources:
     memory: 64Gi
     hugepages-2Mi: 40Mi
   requests:
-    cpu: 8000m
-    memory: 32Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/15/plans/standard-2c4g20/values.yaml b/addons/postgresql-cluster/15/plans/standard-2c4g20/values.yaml
index 27ea5c42..bedec78d 100644
--- a/addons/postgresql-cluster/15/plans/standard-2c4g20/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-2c4g20/values.yaml
@@ -70,8 +70,8 @@ resources:
     memory: 4Gi
     hugepages-2Mi: 20Mi
   requests:
-    cpu: 2000m
-    memory: 4Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/15/plans/standard-2c8g50/values.yaml b/addons/postgresql-cluster/15/plans/standard-2c8g50/values.yaml
index 1062740f..564731a7 100644
--- a/addons/postgresql-cluster/15/plans/standard-2c8g50/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-2c8g50/values.yaml
@@ -72,8 +72,8 @@ resources:
     memory: 8Gi
     hugepages-2Mi: 20Mi
   requests:
-    cpu: 2000m
-    memory: 8Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/15/plans/standard-32c128g800/values.yaml b/addons/postgresql-cluster/15/plans/standard-32c128g800/values.yaml
index a2f1bb41..3af68467 100644
--- a/addons/postgresql-cluster/15/plans/standard-32c128g800/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-32c128g800/values.yaml
@@ -71,8 +71,8 @@ resources:
     memory: 128Gi
     hugepages-2Mi: 80Mi
   requests:
-    cpu: 16000m
-    memory: 64Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/15/plans/standard-32c64g4000/values.yaml b/addons/postgresql-cluster/15/plans/standard-32c64g4000/values.yaml
index cdc3c494..da70e1c9 100644
--- a/addons/postgresql-cluster/15/plans/standard-32c64g4000/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-32c64g4000/values.yaml
@@ -71,8 +71,8 @@ resources:
     memory: 64Gi
     hugepages-2Mi: 80Mi
   requests:
-    cpu: 16000m
-    memory: 32Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/15/plans/standard-4c16g100/values.yaml b/addons/postgresql-cluster/15/plans/standard-4c16g100/values.yaml
index 3b5d6b45..6c91f192 100644
--- a/addons/postgresql-cluster/15/plans/standard-4c16g100/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-4c16g100/values.yaml
@@ -72,8 +72,8 @@ resources:
     memory: 16Gi
     hugepages-2Mi: 50Mi
   requests:
-    cpu: 4000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/15/plans/standard-8c32g200/values.yaml b/addons/postgresql-cluster/15/plans/standard-8c32g200/values.yaml
index e2484df5..dee10714 100644
--- a/addons/postgresql-cluster/15/plans/standard-8c32g200/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-8c32g200/values.yaml
@@ -71,8 +71,8 @@ resources:
     memory: 32Gi
     hugepages-2Mi: 60Mi
   requests:
-    cpu: 4000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/16/plans/standard-16c64g400/values.yaml b/addons/postgresql-cluster/16/plans/standard-16c64g400/values.yaml
index 8fe5e689..f4cd8ae8 100644
--- a/addons/postgresql-cluster/16/plans/standard-16c64g400/values.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-16c64g400/values.yaml
@@ -70,8 +70,8 @@ resources:
     memory: 64Gi
     hugepages-2Mi: 40Mi
   requests:
-    cpu: 8000m
-    memory: 32Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/16/plans/standard-2c4g20/values.yaml b/addons/postgresql-cluster/16/plans/standard-2c4g20/values.yaml
index 27ea5c42..bedec78d 100644
--- a/addons/postgresql-cluster/16/plans/standard-2c4g20/values.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-2c4g20/values.yaml
@@ -70,8 +70,8 @@ resources:
     memory: 4Gi
     hugepages-2Mi: 20Mi
   requests:
-    cpu: 2000m
-    memory: 4Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/16/plans/standard-2c8g50/values.yaml b/addons/postgresql-cluster/16/plans/standard-2c8g50/values.yaml
index 1062740f..564731a7 100644
--- a/addons/postgresql-cluster/16/plans/standard-2c8g50/values.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-2c8g50/values.yaml
@@ -72,8 +72,8 @@ resources:
     memory: 8Gi
     hugepages-2Mi: 20Mi
   requests:
-    cpu: 2000m
-    memory: 8Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/16/plans/standard-32c128g800/values.yaml b/addons/postgresql-cluster/16/plans/standard-32c128g800/values.yaml
index a2f1bb41..3af68467 100644
--- a/addons/postgresql-cluster/16/plans/standard-32c128g800/values.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-32c128g800/values.yaml
@@ -71,8 +71,8 @@ resources:
     memory: 128Gi
     hugepages-2Mi: 80Mi
   requests:
-    cpu: 16000m
-    memory: 64Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/16/plans/standard-32c64g4000/values.yaml b/addons/postgresql-cluster/16/plans/standard-32c64g4000/values.yaml
index cdc3c494..da70e1c9 100644
--- a/addons/postgresql-cluster/16/plans/standard-32c64g4000/values.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-32c64g4000/values.yaml
@@ -71,8 +71,8 @@ resources:
     memory: 64Gi
     hugepages-2Mi: 80Mi
   requests:
-    cpu: 16000m
-    memory: 32Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/16/plans/standard-4c16g100/values.yaml b/addons/postgresql-cluster/16/plans/standard-4c16g100/values.yaml
index 3b5d6b45..6c91f192 100644
--- a/addons/postgresql-cluster/16/plans/standard-4c16g100/values.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-4c16g100/values.yaml
@@ -72,8 +72,8 @@ resources:
     memory: 16Gi
     hugepages-2Mi: 50Mi
   requests:
-    cpu: 4000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true
diff --git a/addons/postgresql-cluster/16/plans/standard-8c32g200/values.yaml b/addons/postgresql-cluster/16/plans/standard-8c32g200/values.yaml
index e2484df5..dee10714 100644
--- a/addons/postgresql-cluster/16/plans/standard-8c32g200/values.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-8c32g200/values.yaml
@@ -71,8 +71,8 @@ resources:
     memory: 32Gi
     hugepages-2Mi: 60Mi
   requests:
-    cpu: 4000m
-    memory: 16Gi
+    cpu: 100m
+    memory: 1Gi
 
 persistentVolume:
   enabled: true