diff --git a/addons/postgresql-cluster/15/plans/standard-16c64g400/bind.yaml b/addons/postgresql-cluster/15/plans/standard-16c64g400/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/15/plans/standard-16c64g400/bind.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-16c64g400/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-2c4g20/bind.yaml b/addons/postgresql-cluster/15/plans/standard-2c4g20/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/15/plans/standard-2c4g20/bind.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-2c4g20/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-2c8g50/bind.yaml b/addons/postgresql-cluster/15/plans/standard-2c8g50/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/15/plans/standard-2c8g50/bind.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-2c8g50/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-32c128g800/bind.yaml b/addons/postgresql-cluster/15/plans/standard-32c128g800/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/15/plans/standard-32c128g800/bind.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-32c128g800/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-32c64g4000/bind.yaml b/addons/postgresql-cluster/15/plans/standard-32c64g4000/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/15/plans/standard-32c64g4000/bind.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-32c64g4000/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-4c16g100/bind.yaml b/addons/postgresql-cluster/15/plans/standard-4c16g100/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/15/plans/standard-4c16g100/bind.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-4c16g100/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/15/plans/standard-8c32g200/bind.yaml b/addons/postgresql-cluster/15/plans/standard-8c32g200/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/15/plans/standard-8c32g200/bind.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-8c32g200/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/16/plans/standard-16c64g400/bind.yaml b/addons/postgresql-cluster/16/plans/standard-16c64g400/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/16/plans/standard-16c64g400/bind.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-16c64g400/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/16/plans/standard-2c4g20/bind.yaml b/addons/postgresql-cluster/16/plans/standard-2c4g20/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/16/plans/standard-2c4g20/bind.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-2c4g20/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/16/plans/standard-2c8g50/bind.yaml b/addons/postgresql-cluster/16/plans/standard-2c8g50/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/16/plans/standard-2c8g50/bind.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-2c8g50/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/16/plans/standard-32c128g800/bind.yaml b/addons/postgresql-cluster/16/plans/standard-32c128g800/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/16/plans/standard-32c128g800/bind.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-32c128g800/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/16/plans/standard-32c64g4000/bind.yaml b/addons/postgresql-cluster/16/plans/standard-32c64g4000/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/16/plans/standard-32c64g4000/bind.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-32c64g4000/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/16/plans/standard-4c16g100/bind.yaml b/addons/postgresql-cluster/16/plans/standard-4c16g100/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/16/plans/standard-4c16g100/bind.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-4c16g100/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/16/plans/standard-8c32g200/bind.yaml b/addons/postgresql-cluster/16/plans/standard-8c32g200/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/16/plans/standard-8c32g200/bind.yaml
+++ b/addons/postgresql-cluster/16/plans/standard-8c32g200/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/17/plans/standard-16c64g400/bind.yaml b/addons/postgresql-cluster/17/plans/standard-16c64g400/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/17/plans/standard-16c64g400/bind.yaml
+++ b/addons/postgresql-cluster/17/plans/standard-16c64g400/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/17/plans/standard-2c4g20/bind.yaml b/addons/postgresql-cluster/17/plans/standard-2c4g20/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/17/plans/standard-2c4g20/bind.yaml
+++ b/addons/postgresql-cluster/17/plans/standard-2c4g20/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/17/plans/standard-2c8g50/bind.yaml b/addons/postgresql-cluster/17/plans/standard-2c8g50/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/17/plans/standard-2c8g50/bind.yaml
+++ b/addons/postgresql-cluster/17/plans/standard-2c8g50/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/17/plans/standard-32c128g800/bind.yaml b/addons/postgresql-cluster/17/plans/standard-32c128g800/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/17/plans/standard-32c128g800/bind.yaml
+++ b/addons/postgresql-cluster/17/plans/standard-32c128g800/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/17/plans/standard-32c64g4000/bind.yaml b/addons/postgresql-cluster/17/plans/standard-32c64g4000/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/17/plans/standard-32c64g4000/bind.yaml
+++ b/addons/postgresql-cluster/17/plans/standard-32c64g4000/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/17/plans/standard-4c16g100/bind.yaml b/addons/postgresql-cluster/17/plans/standard-4c16g100/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/17/plans/standard-4c16g100/bind.yaml
+++ b/addons/postgresql-cluster/17/plans/standard-4c16g100/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file
diff --git a/addons/postgresql-cluster/17/plans/standard-8c32g200/bind.yaml b/addons/postgresql-cluster/17/plans/standard-8c32g200/bind.yaml
index 5fc257f9..55955ed6 100644
--- a/addons/postgresql-cluster/17/plans/standard-8c32g200/bind.yaml
+++ b/addons/postgresql-cluster/17/plans/standard-8c32g200/bind.yaml
@@ -37,5 +37,5 @@ credential:
         jsonpath: '{ .data.admin-user }' 
   - name: PORT
     value: 5432
-  - name: DADABASE
+  - name: DATABASE
     value: postgres
\ No newline at end of file