diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
index 0271f35a..e839eb14 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
@@ -249,6 +249,7 @@ primary:
     binlog_transaction_dependency_tracking=WRITESET
     default-time-zone='+8:00'
     local_infile=ON
+    binlog_expire_logs_seconds=86400
     # Replication
 
     log_bin=mysql-bin
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c4g20/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-2c4g20/bind.yaml
deleted file mode 100644
index a0668383..00000000
--- a/addons/mysql-cluster/8.0/plans/standard-2c4g20/bind.yaml
+++ /dev/null
@@ -1,35 +0,0 @@
-credential:
-{{- if (eq .Values.router.service.type "LoadBalancer") }}
-  - name: EXTRANET_HOST
-    valueFrom:
-      serviceRef:
-        name: {{ include "common.names.fullname" . }}-router
-        jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
-{{- end }}
-  - name: DOMAIN
-    value: {{ template "common.names.fullname" . }}-router.{{ .Release.Namespace }}.svc.{{ .Values.clusterDomain }}
-  - name: HOST
-    valueFrom:
-      serviceRef:
-        name: {{ include "common.names.fullname" . }}-router
-        jsonpath: '{ .spec.clusterIP }'
-  - name: PASSWORD
-    valueFrom:
-      secretKeyRef:
-        name: {{ template "common.names.fullname" . }}-svcbind-administrator-user
-        jsonpath: '{ .data.password }' 
-  - name: USERNAME
-    valueFrom:
-      secretKeyRef:
-        name: {{ template "common.names.fullname" . }}-svcbind-administrator-user
-        jsonpath: '{ .data.username }' 
-  - name: READONLY_PORT
-    valueFrom:
-      secretKeyRef:
-        name: {{ template "common.names.fullname" . }}-svcbind-administrator-user
-        jsonpath: '{ .data.portro }'
-  - name: READWRITE_PORT
-    valueFrom:
-      secretKeyRef:
-        name: {{ template "common.names.fullname" . }}-svcbind-administrator-user
-        jsonpath: '{ .data.portrw }' 
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c4g20/instance-schema.json b/addons/mysql-cluster/8.0/plans/standard-2c4g20/instance-schema.json
deleted file mode 100644
index 66ebbaa0..00000000
--- a/addons/mysql-cluster/8.0/plans/standard-2c4g20/instance-schema.json
+++ /dev/null
@@ -1,12 +0,0 @@
-{
-  "$schema": "http://json-schema.org/draft-04/schema#",
-  "type": "object",
-  "properties": {
-    "imagePullPolicy": {
-      "type": "string",
-      "enum": ["Always", "IfNotPresent", "Never"],
-      "default": "IfNotPresent",
-      "title": "Image pull policy"
-    }
-  }
-}
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c4g20/meta.yaml b/addons/mysql-cluster/8.0/plans/standard-2c4g20/meta.yaml
deleted file mode 100644
index 9df7017f..00000000
--- a/addons/mysql-cluster/8.0/plans/standard-2c4g20/meta.yaml
+++ /dev/null
@@ -1,6 +0,0 @@
-name: "standard-2c4g20"
-id: 95fd7cf2-f2fb-46c9-b3fc-9e7f48899dcc
-description: "Mysql Cluster standard-2c4g20 plan: Disk 20Gi ,vCPUs 2 , RAM 4G , DB MAX Connection 1000"
-displayName: "standard-2c4g20"
-bindable: true
-maximum_polling_duration: 1800
diff --git a/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml b/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
deleted file mode 100644
index ec36604e..00000000
--- a/addons/mysql-cluster/8.0/plans/standard-2c4g20/values.yaml
+++ /dev/null
@@ -1,91 +0,0 @@
-## @param fullnameOverride String to fully override common.names.fullname template
-##
-fullnameOverride: hb-mysql-cluster-standard-20
-
-## MinIO&reg; containers' resource requests and limits
-## ref: https://kubernetes.io/docs/user-guide/compute-resources/
-## We usually recommend not to specify default resources and to leave this as a conscious
-## choice for the user. This also increases chances charts run on environments with little
-## resources, such as Minikube. If you do want to specify resources, uncomment the following
-## lines, adjust them as necessary, and remove the curly braces after 'resources:'.
-## @param resources.limits The resources limits for the MinIO&reg; container
-## @param resources.requests The requested resources for the MinIO&reg; container
-##
-primary: 
-  extraConfig: |
-    [mysqld]
-    innodb_io_capacity=2000
-    innodb_io_capacity_max=3000
-    max_connect_errors=1000000
-    open_files_limit=2000000                                     
-    performance_schema_max_table_instances=200
-    thread_cache_size=0
-    innodb_flush_method=O_DIRECT
-    innodb_read_io_threads=4                 
-    innodb_write_io_threads=4                      
-    innodb_buffer_pool_instances=2
-    innodb_buffer_pool_size=2147483648
-    loose-group_replication_message_cache_size=536870912
-    max_connections=1000
-  resources:
-    limits:
-      cpu: 2000m
-      memory: 4Gi
-    requests:
-      cpu: 100m
-      memory: 1Gi
-
-  
-
-## @section Persistence parameters
-
-## Enable persistence using Persistent Volume Claims
-## ref: https://kubernetes.io/docs/user-guide/persistent-volumes/
-##
-  persistence:
-    ## @param primary.persistence.enabled Enable persistence on MySQL primary replicas using a `PersistentVolumeClaim`. If false, use emptyDir
-    ##
-    enabled: true
-    ## @param primary.persistence.existingClaim Name of an existing `PersistentVolumeClaim` for MySQL primary replicas
-    ## NOTE: When it's set the rest of persistence parameters are ignored
-    ##
-    existingClaim: ""
-    ## @param primary.persistence.storageClass MySQL primary persistent volume storage Class
-    ## If defined, storageClassName: <storageClass>
-    ## If set to "-", storageClassName: "", which disables dynamic provisioning
-    ## If undefined (the default) or set to null, no storageClassName spec is
-    ##   set, choosing the default provisioner.  (gp2 on AWS, standard on
-    ##   GKE, AWS & OpenStack)
-    ##
-    storageClass: ""
-    ## @param primary.persistence.annotations MySQL primary persistent volume claim annotations
-    ##
-    annotations: {}
-    ## @param primary.persistence.accessModes MySQL primary persistent volume access Modes
-    ##
-    accessModes:
-      - ReadWriteOnce
-    ## @param primary.persistence.size MySQL primary persistent volume size
-    ##
-    size: 20Gi
-    ## @param primary.persistence.selector Selector to match an existing Persistent Volume
-    ## selector:
-    ##   matchLabels:
-    ##     app: my-app
-    ##
-    selector: {}
-
-router:
-  replicaCount: 2
-  configuration: |-
-    [DEFAULT]
-    max_total_connections = 400
-    [routing:bootstrap_rw]
-    max_connections= 400
-  resources:
-    limits: 
-      cpu: 500m
-      memory: 512Mi
-    requests: 
-      cpu: 100m
-      memory: 512Mi
\ No newline at end of file