diff --git a/addons/cloudbeaver/23/plans/standard-5/bind.yaml b/addons/cloudbeaver/23/plans/standard-10/bind.yaml
similarity index 100%
rename from addons/cloudbeaver/23/plans/standard-5/bind.yaml
rename to addons/cloudbeaver/23/plans/standard-10/bind.yaml
diff --git a/addons/cloudbeaver/23/plans/standard-5/create-instance-schema.json b/addons/cloudbeaver/23/plans/standard-10/create-instance-schema.json
similarity index 100%
rename from addons/cloudbeaver/23/plans/standard-5/create-instance-schema.json
rename to addons/cloudbeaver/23/plans/standard-10/create-instance-schema.json
diff --git a/addons/cloudbeaver/23/plans/standard-5/meta.yaml b/addons/cloudbeaver/23/plans/standard-10/meta.yaml
similarity index 100%
rename from addons/cloudbeaver/23/plans/standard-5/meta.yaml
rename to addons/cloudbeaver/23/plans/standard-10/meta.yaml
diff --git a/addons/cloudbeaver/23/plans/standard-5/values.yaml b/addons/cloudbeaver/23/plans/standard-10/values.yaml
similarity index 99%
rename from addons/cloudbeaver/23/plans/standard-5/values.yaml
rename to addons/cloudbeaver/23/plans/standard-10/values.yaml
index 920f16ca..dee9c848 100644
--- a/addons/cloudbeaver/23/plans/standard-5/values.yaml
+++ b/addons/cloudbeaver/23/plans/standard-10/values.yaml
@@ -51,7 +51,7 @@ persistence:
     - ReadWriteOnce
   ## @param primary.persistence.size MySQL primary persistent volume size
   ##
-  size: 5Gi
+  size: 10Gi
   ## @param primary.persistence.selector Selector to match an existing Persistent Volume
   ## selector:
   ##   matchLabels:
diff --git a/addons/postgresql-cluster/15/chart/postgresql-cluster/templates/statefulset.yaml b/addons/postgresql-cluster/15/chart/postgresql-cluster/templates/statefulset.yaml
index 0dad1437..61881313 100644
--- a/addons/postgresql-cluster/15/chart/postgresql-cluster/templates/statefulset.yaml
+++ b/addons/postgresql-cluster/15/chart/postgresql-cluster/templates/statefulset.yaml
@@ -229,6 +229,11 @@ spec:
       - name: storage-volume
         emptyDir: {}
       {{- end }}
+  {{- if .Values.persistentVolumeClaimRetentionPolicy.enabled }}
+  persistentVolumeClaimRetentionPolicy:
+    whenDeleted: {{ .Values.persistentVolumeClaimRetentionPolicy.whenDeleted }}
+    whenScaled: {{ .Values.persistentVolumeClaimRetentionPolicy.whenScaled }}
+  {{- end }}
   {{- if .Values.persistentVolume.enabled }}
   volumeClaimTemplates:
     - metadata:
diff --git a/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml b/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml
index d15aa52a..857ee44d 100644
--- a/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml
+++ b/addons/postgresql-cluster/15/chart/postgresql-cluster/values.yaml
@@ -72,7 +72,6 @@ preInitScript: |
           hot_standby: "on"
           max_connections: 1005
           max_worker_processes: 8
-          wal_keep_segments: 1024
           max_wal_senders: 10
           max_replication_slots: 10
           max_prepared_transactions: 0
@@ -278,6 +277,15 @@ backup:
     awsS3ForcePathStyle: "true"
     awsRegion: dx-1
 
+## persistentVolumeClaimRetentionPolicy
+## ref: https://kubernetes.io/docs/concepts/workloads/controllers/statefulset/#persistentvolumeclaim-retention
+## @param persistentVolumeClaimRetentionPolicy.enabled Controls if and how PVCs are deleted during the lifecycle of a StatefulSet
+## @param persistentVolumeClaimRetentionPolicy.whenScaled Volume retention behavior when the replica count of the StatefulSet is reduced
+## @param persistentVolumeClaimRetentionPolicy.whenDeleted Volume retention behavior that applies when the StatefulSet is deleted
+persistentVolumeClaimRetentionPolicy:
+  enabled: true
+  whenScaled: Delete
+  whenDeleted: Delete
 persistentVolume:
   enabled: true
   size: 10G
diff --git a/addons/postgresql-cluster/15/plans/standard-10/values.yaml b/addons/postgresql-cluster/15/plans/standard-10/values.yaml
index fd8fd98f..adf735cd 100644
--- a/addons/postgresql-cluster/15/plans/standard-10/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-10/values.yaml
@@ -28,7 +28,7 @@ postgresql:
     # Checkpointing: 
     checkpoint_timeout  = '15 min' 
     checkpoint_completion_target = 0.9
-    max_wal_size = '1024 MB'
+    max_wal_size = '1 GB'
     min_wal_size = '512 MB'
 
     # WAL writing
@@ -36,7 +36,7 @@ postgresql:
     wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
     wal_writer_delay = 200ms
     wal_writer_flush_after = 1MB
-    wal_keep_size = '3650 MB'
+    wal_keep_size = '1 GB'
 
     # Background writer
     bgwriter_delay = 200ms
diff --git a/addons/postgresql-cluster/15/plans/standard-100/values.yaml b/addons/postgresql-cluster/15/plans/standard-100/values.yaml
index 90625a5d..fff5cf6a 100644
--- a/addons/postgresql-cluster/15/plans/standard-100/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-100/values.yaml
@@ -26,17 +26,17 @@ postgresql:
     synchronous_commit = on
 
     # Checkpointing: 
-    checkpoint_timeout  = '15 min' 
+    checkpoint_timeout  = '25 min' 
     checkpoint_completion_target = 0.9
-    max_wal_size = '1024 MB'
-    min_wal_size = '512 MB'
+    max_wal_size = '4 GB'
+    min_wal_size = '2 GB'
 
     # WAL writing
     wal_compression = on
     wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
     wal_writer_delay = 200ms
     wal_writer_flush_after = 1MB
-    wal_keep_size = '3650 MB'
+    wal_keep_size = '4 GB'
 
 
     # Background writer
@@ -66,6 +66,7 @@ resources:
   limits:
     cpu: 4000m
     memory: 16Gi
+    hugepages-2Mi: 50Mi
   requests:
     cpu: 4000m
     memory: 16Gi
diff --git a/addons/postgresql-cluster/15/plans/standard-20/values.yaml b/addons/postgresql-cluster/15/plans/standard-20/values.yaml
index fed1e2da..b0f465d2 100644
--- a/addons/postgresql-cluster/15/plans/standard-20/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-20/values.yaml
@@ -28,7 +28,7 @@ postgresql:
     # Checkpointing: 
     checkpoint_timeout  = '15 min' 
     checkpoint_completion_target = 0.9
-    max_wal_size = '1024 MB'
+    max_wal_size = '2 GB'
     min_wal_size = '512 MB'
           
 
@@ -37,7 +37,7 @@ postgresql:
     wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
     wal_writer_delay = 200ms
     wal_writer_flush_after = 1MB
-    wal_keep_size = '3650 MB'
+    wal_keep_size = '1 GB'
 
 
     # Background writer
diff --git a/addons/postgresql-cluster/15/plans/standard-200/values.yaml b/addons/postgresql-cluster/15/plans/standard-200/values.yaml
index a0427d92..097a65b6 100644
--- a/addons/postgresql-cluster/15/plans/standard-200/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-200/values.yaml
@@ -26,17 +26,17 @@ postgresql:
     synchronous_commit = on
 
     # Checkpointing: 
-    checkpoint_timeout  = '15 min' 
+    checkpoint_timeout  = '25 min' 
     checkpoint_completion_target = 0.9
-    max_wal_size = '1024 MB'
-    min_wal_size = '512 MB'
+    max_wal_size = '5 GB'
+    min_wal_size = '3 GB'
 
     # WAL writing
     wal_compression = on
     wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
     wal_writer_delay = 200ms
     wal_writer_flush_after = 1MB
-    wal_keep_size = '3650 MB'
+    wal_keep_size = '5 GB'
 
     # Background writer
     bgwriter_delay = 200ms
@@ -65,6 +65,7 @@ resources:
   limits:
     cpu: 8000m
     memory: 32Gi
+    hugepages-2Mi: 60Mi
   requests:
     cpu: 8000m
     memory: 32Gi
diff --git a/addons/postgresql-cluster/15/plans/standard-400/values.yaml b/addons/postgresql-cluster/15/plans/standard-400/values.yaml
index 062ee7cb..3dd25a18 100644
--- a/addons/postgresql-cluster/15/plans/standard-400/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-400/values.yaml
@@ -26,17 +26,17 @@ postgresql:
     synchronous_commit = on
 
     # Checkpointing: 
-    checkpoint_timeout  = '15 min' 
+    checkpoint_timeout  = '30 min' 
     checkpoint_completion_target = 0.9
-    max_wal_size = '1024 MB'
-    min_wal_size = '512 MB'
+    max_wal_size = '6 GB'
+    min_wal_size = '2 GB'
 
     # WAL writing
     wal_compression = on
     wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
     wal_writer_delay = 200ms
     wal_writer_flush_after = 1MB
-    wal_keep_size = '3650 MB'
+    wal_keep_size = '10 GB'
 
     # Background writer
     bgwriter_delay = 200ms
@@ -65,7 +65,7 @@ resources:
   limits:
     cpu: 16000m
     memory: 64Gi
-    # hugepages-2Mi: 4Mi
+    hugepages-2Mi: 40Mi
   requests:
     cpu: 16000m
     memory: 64Gi
diff --git a/addons/postgresql-cluster/15/plans/standard-50/values.yaml b/addons/postgresql-cluster/15/plans/standard-50/values.yaml
index 046e87ea..4712cacb 100644
--- a/addons/postgresql-cluster/15/plans/standard-50/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-50/values.yaml
@@ -28,7 +28,7 @@ postgresql:
     # Checkpointing: 
     checkpoint_timeout  = '15 min' 
     checkpoint_completion_target = 0.9
-    max_wal_size = '1024 MB'
+    max_wal_size = '2 GB'
     min_wal_size = '512 MB'
 
     # WAL writing
@@ -36,7 +36,7 @@ postgresql:
     wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
     wal_writer_delay = 200ms
     wal_writer_flush_after = 1MB
-    wal_keep_size = '3650 MB'
+    wal_keep_size = '3 GB'
 
 
     # Background writer
@@ -66,10 +66,11 @@ resources:
   limits:
     cpu: 2000m
     memory: 8Gi
+    hugepages-2Mi: 20Mi
   requests:
     cpu: 2000m
     memory: 8Gi
 
 persistentVolume:
   enabled: true
-  size: 50G
+  size: 50Gi
diff --git a/addons/postgresql-cluster/15/plans/standard-800/values.yaml b/addons/postgresql-cluster/15/plans/standard-800/values.yaml
index c6efbfa0..a91fe646 100644
--- a/addons/postgresql-cluster/15/plans/standard-800/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-800/values.yaml
@@ -26,17 +26,17 @@ postgresql:
     synchronous_commit = on
 
     # Checkpointing: 
-    checkpoint_timeout  = '15 min' 
+    checkpoint_timeout  = '30 min' 
     checkpoint_completion_target = 0.9
-    max_wal_size = '10240 MB'
-    min_wal_size = '5120 MB'
+    max_wal_size = '8 GB'
+    min_wal_size = '4 GB'
 
     # WAL writing
     wal_compression = on
     wal_buffers = -1    # auto-tuned by Postgres till maximum of segment size (16MB by default)
     wal_writer_delay = 200ms
     wal_writer_flush_after = 1MB
-    wal_keep_size = '22080 MB'
+    wal_keep_size = '10 GB'
 
     # Background writer
     bgwriter_delay = 200ms
@@ -65,7 +65,7 @@ resources:
   limits:
     cpu: 32000m
     memory: 128Gi
-    # hugepages-2Mi: 4Mi
+    hugepages-2Mi: 80Mi
   requests:
     cpu: 32000m
     memory: 128Gi
diff --git a/addons/prometheus/2/chart/prometheus/templates/server/deployment.yaml b/addons/prometheus/2/chart/prometheus/templates/server/deployment.yaml
index 12480ad1..d8ecaa9f 100644
--- a/addons/prometheus/2/chart/prometheus/templates/server/deployment.yaml
+++ b/addons/prometheus/2/chart/prometheus/templates/server/deployment.yaml
@@ -122,6 +122,7 @@ spec:
             - "--web.console.libraries=/opt/drycc/prometheus/conf/console_libraries"
             - "--web.console.templates=/opt/drycc/prometheus/conf/consoles"
             - "--web.config.file=/opt/drycc/prometheus/conf/web-config.yaml"
+            - "--web.enable-lifecycle"
             {{- if .Values.server.enableAdminAPI}}
             - "--web.enable-admin-api"
             {{- end }}