diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/deployments.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/deployments.yaml
index ef626420..4c7c9875 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/deployments.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/deployments.yaml
@@ -6,22 +6,25 @@ SPDX-License-Identifier: APACHE-2.0
 apiVersion: apps/v1
 kind: Deployment
 metadata:
-  name: {{ include "mysql.cluster.fullname" . }}-tools
+  name: {{ include "mysql.cluster.fullname" . }}-manager
   namespace: {{ include "common.names.namespace" . | quote }}
 spec:
   replicas: 1
   selector:
     matchLabels: {{- include "common.labels.matchLabels" . | nindent 6 }}
-      app.kubernetes.io/component: mysql-cluster-tools
-  
+      app.kubernetes.io/component: mysql-cluster-manager
   template:
     metadata:
       labels: {{- include "common.labels.standard" . | nindent 8 }}
-        app.kubernetes.io/component:  mysql-cluster-tools
- 
+        app.kubernetes.io/component:  mysql-cluster-manager
     spec:
+      subdomain: {{ include "mysql.primary.fullname" . }}
+      dnsConfig: 
+        searches:
+          - {{ include "mysql.primary.fullname" . }}.{{ include "common.names.namespace" . }}.svc.cluster.local
+
       containers:         
-        - name: cluster-tools
+        - name: cluster-manager
           image: {{ include "cluster.image" . }}
           imagePullPolicy: {{ .Values.image.pullPolicy | quote }}
           command: 
@@ -30,12 +33,14 @@ spec:
             - |
               sleep infinity
           env:
-            - name: MYSQL_MASTER_PORT_NUMBER
+            - name: MYSQL_HOST
+              value: {{ include "mysql.primary.fullname" . }}
+            - name: MYSQL_PORT_NUMBER
               value: {{ .Values.primary.service.ports.mysql | quote }}
-            - name: MYSQL_MASTER_ROOT_USER
+            - name: MYSQL_ROOT_USER
               value: "root"
             - name: MYSQL_ROOT_PASSWORD
               valueFrom:
                 secretKeyRef:
                   name: {{ template "mysql.secretName" . }}
-                  key: mysql-root-password
+                  key: mysql-root-password
\ No newline at end of file
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/job.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/job.yaml
index 88365d71..aa9ecfed 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/job.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/cluster/job.yaml
@@ -6,7 +6,7 @@ SPDX-License-Identifier: APACHE-2.0
 apiVersion: {{ include "common.capabilities.cronjob.apiVersion" . }}
 kind: Job
 metadata:
-  name: {{ include "mysql.cluster.fullname" . }} 
+  name: {{ include "mysql.cluster.fullname" . }}-init
   namespace: {{ include "common.names.namespace" . | quote }}
   labels: {{- include "common.labels.standard" . | nindent 4 }}
     app.kubernetes.io/component: primary
@@ -21,6 +21,10 @@ spec:
   template:
     spec:
       restartPolicy: Never
+      subdomain: {{ include "mysql.primary.fullname" . }}
+      dnsConfig: 
+        searches:
+          - {{ include "mysql.primary.fullname" . }}.{{ include "common.names.namespace" . }}.svc.cluster.local
       initContainers:
         - name: init-wait
           image: registry.uucin.com/drycc/python-dev:latest
@@ -29,70 +33,16 @@ spec:
           - netcat
           - -v
           - -u
-          - mysql://$(MYSQL_MASTER_HOST)-0.$(MYSQL_MASTER_HOST):$(MYSQL_MASTER_PORT_NUMBER),mysql://$(MYSQL_MASTER_HOST)-1.$(MYSQL_MASTER_HOST):$(MYSQL_MASTER_PORT_NUMBER),mysql://$(MYSQL_MASTER_HOST)-2.$(MYSQL_MASTER_HOST):$(MYSQL_MASTER_PORT_NUMBER)
+          - mysql://$(MYSQL_HOST)-2:$(MYSQL_PORT_NUMBER)
 
           env:
-            - name: MYSQL_MASTER_HOST
+            - name: MYSQL_HOST
               value: {{ include "mysql.primary.fullname" . }}
-            - name: MYSQL_MASTER_PORT_NUMBER
+            - name: MYSQL_PORT_NUMBER
               value: {{ .Values.primary.service.ports.mysql | quote }}
-
-        - name: mgr
-          image: {{ include "mysql.image" . }}
-          imagePullPolicy: {{ .Values.image.pullPolicy | quote }}
-          {{- if .Values.primary.containerSecurityContext.enabled }}
-          securityContext: {{- omit .Values.primary.containerSecurityContext "enabled" | toYaml | nindent 12 }}
-          {{- end }}
-          command: 
-            - /bin/bash
-            - -ec
-            - |
-              export HOST_0=${MYSQL_MASTER_HOST}-0.${MYSQL_MASTER_HOST}
-              export HOST_1=${MYSQL_MASTER_HOST}-1.${MYSQL_MASTER_HOST}
-              export HOST_2=${MYSQL_MASTER_HOST}-2.${MYSQL_MASTER_HOST}
-              
-              echo "
-                set global group_replication_bootstrap_group=on;
-                start group_replication;
-                select * from performance_schema.replication_group_members;
-                set global group_replication_bootstrap_group=off;
-              " > /tmp/master.sql
-              mysql -h${HOST_0} -P${MYSQL_MASTER_PORT_NUMBER} -uroot -p${MYSQL_ROOT_PASSWORD} < /tmp/master.sql
-              
-              echo "
-              reset master;
-              change master to master_user='$(MYSQL_REPLICATION_USER)',master_password='$(MYSQL_REPLICATION_PASSWORD)' for channel 'group_replication_recovery';
-              start group_replication;
-              select * from performance_schema.replication_group_members;
-              " > /tmp/slave.sql 
-              mysql -h${HOST_1} -P${MYSQL_MASTER_PORT_NUMBER} -uroot -p${MYSQL_ROOT_PASSWORD}  < /tmp/slave.sql
-              mysql -h${HOST_2} -P${MYSQL_MASTER_PORT_NUMBER} -uroot -p${MYSQL_ROOT_PASSWORD}  < /tmp/slave.sql
-              mysql -h${HOST_0} -P${MYSQL_MASTER_PORT_NUMBER} -uroot -p${MYSQL_ROOT_PASSWORD} -e "GRANT ALL PRIVILEGES ON *.* TO administrator@'%' WITH GRANT OPTION;flush privileges;"
-              
-          env:
-            - name: DRYCC_DEBUG
-              value: {{ ternary "true" "false" (or .Values.image.debug .Values.diagnosticMode.enabled) | quote }}
-            - name: MYSQL_MASTER_HOST
-              value: {{ include "mysql.primary.fullname" . }}
-            - name: MYSQL_MASTER_PORT_NUMBER
-              value: {{ .Values.primary.service.ports.mysql | quote }}
-            - name: MYSQL_MASTER_ROOT_USER
-              value: "root"
-            - name: MYSQL_ROOT_PASSWORD
-              valueFrom:
-                secretKeyRef:
-                  name: {{ template "mysql.secretName" . }}
-                  key: mysql-root-password
-            - name: MYSQL_REPLICATION_USER
-              value: {{ .Values.auth.replicationUser | quote }}
-            - name: MYSQL_REPLICATION_PASSWORD
-              valueFrom:
-                secretKeyRef:
-                  name: {{ template "mysql.secretName" . }}
-                  key: mysql-replication-password
                   
       containers:         
-        - name: cluster
+        - name: init-cluster
           image: {{ include "cluster.image" . }}
           imagePullPolicy: {{ .Values.image.pullPolicy | quote }}
           {{- if .Values.primary.containerSecurityContext.enabled }}
@@ -102,15 +52,32 @@ spec:
             - /bin/bash
             - -ec
             - |
-              export HOST_0=${MYSQL_MASTER_HOST}-0.${MYSQL_MASTER_HOST}
-              echo 'Y' |  mysqlsh --uri=${MYSQL_MASTER_ROOT_USER}@${HOST_0}:${MYSQL_MASTER_PORT_NUMBER} -p${MYSQL_ROOT_PASSWORD} -e'var c=dba.createCluster("MXMGR");'
 
+              export HOST_0=${MYSQL_HOST}-0
+              export HOST_1=${MYSQL_HOST}-1
+              export HOST_2=${MYSQL_HOST}-2
+
+              # create mysql cluster  --file
+              echo "
+              shell.options['dba.restartWaitTimeout']=300;
+              dba.createCluster('MXMGR',{disableClone:false});
+              dba.getCluster().addInstance('root@${HOST_1}',{recoveryMethod:'clone'});
+              dba.getCluster().addInstance('root@${HOST_2}',{recoveryMethod:'clone'});
+              dba.getCluster().status();
+              " > /tmp/create_cluster.js
+              mysqlsh --uri=${MYSQL_ROOT_USER}@${HOST_0}:${MYSQL_PORT_NUMBER} -p${MYSQL_ROOT_PASSWORD} -f /tmp/create_cluster.js
+              
+              # init sql --sql
+              echo "
+              GRANT ALL PRIVILEGES ON *.* TO administrator@'%' WITH GRANT OPTION;flush privileges;
+              " > /tmp/init.sql
+              mysqlsh --uri=${MYSQL_ROOT_USER}@${HOST_0}:${MYSQL_PORT_NUMBER} -p${MYSQL_ROOT_PASSWORD} --sql -f /tmp/init.sql
           env:
-            - name: MYSQL_MASTER_HOST
+            - name: MYSQL_HOST
               value: {{ include "mysql.primary.fullname" . }}
-            - name: MYSQL_MASTER_PORT_NUMBER
+            - name: MYSQL_PORT_NUMBER
               value: {{ .Values.primary.service.ports.mysql | quote }}
-            - name: MYSQL_MASTER_ROOT_USER
+            - name: MYSQL_ROOT_USER
               value: "root"
             - name: MYSQL_ROOT_PASSWORD
               valueFrom:
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/networkpolicy.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/networkpolicy.yaml
index 40a5c22d..b792b024 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/networkpolicy.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/networkpolicy.yaml
@@ -26,6 +26,7 @@ spec:
       - port: {{ .Values.router.service.portrw }}
       - port: {{ .Values.router.service.portro }}
       - port: 24901
+      - port: 33061
       {{- if and .Values.metrics.enabled }}
       - port: {{ .Values.metrics.service.port }}
       {{ end }} 
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml
index a5ffa045..822a407b 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/primary/statefulset.yaml
@@ -46,6 +46,10 @@ spec:
       {{- if .Values.primary.hostAliases }}
       hostAliases: {{- include "common.tplvalues.render" (dict "value" .Values.primary.hostAliases "context" $) | nindent 8 }}
       {{- end }}
+      subdomain: {{ include "mysql.primary.fullname" . }}
+      dnsConfig: 
+        searches:
+          - {{ include "mysql.primary.fullname" . }}.{{ include "common.names.namespace" . }}.svc.cluster.local
       {{- if .Values.primary.affinity }}
       affinity: {{- include "common.tplvalues.render" (dict "value" .Values.primary.affinity "context" $) | nindent 8 }}
       {{- else }}
@@ -214,7 +218,7 @@ spec:
                   if [[ -f "${MYSQL_ROOT_PASSWORD_FILE:-}" ]]; then
                       password_aux=$(cat "$MYSQL_ROOT_PASSWORD_FILE")
                   fi
-                  mysqladmin status -uroot -h127.0.0.1 -p"${password_aux}"
+                  mysqladmin ping -uroot -h127.0.0.1 -p"${password_aux}"
           {{- end }}
           {{- if .Values.primary.customReadinessProbe }}
           readinessProbe: {{- include "common.tplvalues.render" (dict "value" .Values.primary.customReadinessProbe "context" $) | nindent 12 }}
@@ -229,7 +233,7 @@ spec:
                   if [[ -f "${MYSQL_ROOT_PASSWORD_FILE:-}" ]]; then
                       password_aux=$(cat "$MYSQL_ROOT_PASSWORD_FILE")
                   fi
-                  mysqladmin status -uroot -h127.0.0.1 -p"${password_aux}"
+                  mysqladmin ping -uroot -h127.0.0.1 -p"${password_aux}"
           {{- end }}
           {{- if .Values.primary.customStartupProbe }}
           startupProbe: {{- include "common.tplvalues.render" (dict "value" .Values.primary.customStartupProbe "context" $) | nindent 12 }}
@@ -244,7 +248,7 @@ spec:
                   if [[ -f "${MYSQL_ROOT_PASSWORD_FILE:-}" ]]; then
                       password_aux=$(cat "$MYSQL_ROOT_PASSWORD_FILE")
                   fi
-                  mysqladmin status -uroot -h127.0.0.1 -p"${password_aux}"
+                  mysqladmin ping -uroot -h127.0.0.1 -p"${password_aux}"
           {{- end }}
           {{- end }}
           {{- if .Values.primary.resources }}
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/router/statefulset.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/router/statefulset.yaml
index dd5365fa..9134cbfe 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/router/statefulset.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/templates/router/statefulset.yaml
@@ -43,6 +43,10 @@ spec:
       {{- if .Values.router.hostAliases }}
       hostAliases: {{- include "common.tplvalues.render" (dict "value" .Values.router.hostAliases "context" $) | nindent 8 }}
       {{- end }}
+      subdomain: {{ include "mysql.primary.fullname" . }}
+      dnsConfig: 
+        searches:
+          - {{ include "mysql.primary.fullname" . }}.{{ include "common.names.namespace" . }}.svc.cluster.local
       {{- if .Values.router.affinity }}
       affinity: {{- include "common.tplvalues.render" (dict "value" .Values.router.affinity "context" $) | nindent 8 }}
       {{- else }}
@@ -186,11 +190,7 @@ spec:
                 - /bin/bash
                 - -ec
                 - |
-                  password_aux="${MYSQL_ROOT_PASSWORD:-}"
-                  if [[ -f "${MYSQL_ROOT_PASSWORD_FILE:-}" ]]; then
-                      password_aux=$(cat "$MYSQL_ROOT_PASSWORD_FILE")
-                  fi
-                  mysqladmin status -uroot -h127.0.0.1 -P6446 -p"${password_aux}"
+                  mysqladmin ping -uroot -h127.0.0.1 -P6446 -p"${MYSQL_ROOT_PASSWORD}"
           {{- end }}
           {{- if .Values.router.customReadinessProbe }}
           readinessProbe: {{- include "common.tplvalues.render" (dict "value" .Values.router.customReadinessProbe "context" $) | nindent 12 }}
@@ -201,11 +201,7 @@ spec:
                 - /bin/bash
                 - -ec
                 - |
-                  password_aux="${MYSQL_ROOT_PASSWORD:-}"
-                  if [[ -f "${MYSQL_ROOT_PASSWORD_FILE:-}" ]]; then
-                      password_aux=$(cat "$MYSQL_ROOT_PASSWORD_FILE")
-                  fi
-                  mysqladmin status -uroot -h127.0.0.1 -P6446 -p"${password_aux}"
+                  mysqladmin ping -uroot -h127.0.0.1 -P6446 -p"${MYSQL_ROOT_PASSWORD}"
           {{- end }}
           {{- if .Values.router.customStartupProbe }}
           startupProbe: {{- include "common.tplvalues.render" (dict "value" .Values.router.customStartupProbe "context" $) | nindent 12 }}
@@ -216,11 +212,7 @@ spec:
                 - /bin/bash
                 - -ec
                 - |
-                  password_aux="${MYSQL_ROOT_PASSWORD:-}"
-                  if [[ -f "${MYSQL_ROOT_PASSWORD_FILE:-}" ]]; then
-                      password_aux=$(cat "$MYSQL_ROOT_PASSWORD_FILE")
-                  fi
-                  mysqladmin status -uroot -h127.0.0.1 -P6446 -p"${password_aux}"
+                  mysqladmin ping -uroot -h127.0.0.1 -P6446 -p"${MYSQL_ROOT_PASSWORD}"
           {{- end }}
           {{- end }}
           {{- if .Values.router.resources }}
diff --git a/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml b/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
index 1f460ecf..ce87fd76 100644
--- a/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
+++ b/addons/mysql-cluster/8.0/chart/mysql-cluster/values.yaml
@@ -176,9 +176,9 @@ initdbScripts:
     # Add an offset to avoid reserved server-id=0 value.
     echo server-id=$((100 + $ordinal)) >> $base_conf_file
     # Copy appropriate conf.d files from config-map to emptyDir.
-    echo loose-group_replication_local_address=$mgr_host.$svc_mgr_host:24901 >> $base_conf_file
-    echo report_host=$mgr_host.$svc_mgr_host >> $base_conf_file
-    echo loose-group_replication_group_seeds="$svc_mgr_host-0.$svc_mgr_host:24901,$svc_mgr_host-1.$svc_mgr_host:24901,$svc_mgr_host-2.$svc_mgr_host:24901" >> $base_conf_file 
+    echo loose-group_replication_local_address=$mgr_host:24901 >> $base_conf_file
+    echo report_host=$mgr_host >> $base_conf_file
+    echo loose-group_replication_group_seeds="$svc_mgr_host-0:24901,$svc_mgr_host-1:24901,$svc_mgr_host-2:24901" >> $base_conf_file 
 
     echo plugin_load_add='group_replication.so' >> $base_conf_file
       
@@ -204,7 +204,7 @@ primary:
   ##
   args: []
   ## @param primary.lifecycleHooks for the MySQL Primary container(s) to automate configuration before or after startup
-  ##
+  ##configuration
   lifecycleHooks: {}
   ## @param primary.hostAliases Deployment pod host aliases
   ## https://kubernetes.io/docs/concepts/services-networking/add-entries-to-pod-etc-hosts-with-host-aliases/
@@ -259,18 +259,11 @@ primary:
 
     # Multi-threaded Replication
     replica_preserve_commit_order=ON 
-    replica_parallel_workers=4
+    replica_parallel_workers=8
+    replica_parallel_type=LOGICAL_CLOCK
 
     # Group Replication Settings 
-    #plugin_load_add="group_replication.so"
-    loose-group_replication_recovery_get_public_key=ON 
-    loose-group_replication_recovery_use_ssl=on
-    loose-group_replication_group_name="{{uuidv4}}"
-    loose-group_replication_ip_allowlist="0.0.0.0/0"
-
-    loose-group_replication_bootstrap_group=OFF
-    loose-group_replication_start_on_boot=OFF
-
+  
     [client]
     port=3306
     socket=/opt/drycc/mysql/tmp/mysql.sock
@@ -408,7 +401,7 @@ primary:
     enabled: true
     initialDelaySeconds: 5
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     failureThreshold: 3
     successThreshold: 1
   ## Configure extra options for readiness probe
@@ -424,7 +417,7 @@ primary:
     enabled: true
     initialDelaySeconds: 5
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     failureThreshold: 3
     successThreshold: 1
   ## Configure extra options for startupProbe probe
@@ -440,7 +433,7 @@ primary:
     enabled: true
     initialDelaySeconds: 15
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     failureThreshold: 10
     successThreshold: 1
   ## @param primary.customLivenessProbe Override default liveness probe for MySQL primary containers
@@ -689,7 +682,7 @@ router:
   ## @param secondary.podManagementPolicy podManagementPolicy to manage scaling operation of MySQL secondary pods
   ## ref: https://kubernetes.io/docs/concepts/workloads/controllers/statefulset/#pod-management-policies
   ##
-  podManagementPolicy: ""
+  podManagementPolicy: "Parallel"
   ## MySQL secondary Pod security context
   ## ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/#set-the-security-context-for-a-pod
   ## @param secondary.podSecurityContext.enabled Enable security context for MySQL secondary pods
@@ -743,7 +736,7 @@ router:
     enabled: true
     initialDelaySeconds: 5
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     failureThreshold: 3
     successThreshold: 1
   ## Configure extra options for readiness probe
@@ -759,7 +752,7 @@ router:
     enabled: true
     initialDelaySeconds: 5
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     failureThreshold: 3
     successThreshold: 1
   ## Configure extra options for startupProbe probe
@@ -775,7 +768,7 @@ router:
     enabled: true
     initialDelaySeconds: 15
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     failureThreshold: 15
     successThreshold: 1
   ## @param secondary.customLivenessProbe Override default liveness probe for MySQL secondary containers
@@ -1154,7 +1147,7 @@ metrics:
     enabled: true
     initialDelaySeconds: 120
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     successThreshold: 1
     failureThreshold: 3
   ## Mysqld Prometheus exporter readiness probe
@@ -1170,7 +1163,7 @@ metrics:
     enabled: true
     initialDelaySeconds: 30
     periodSeconds: 10
-    timeoutSeconds: 1
+    timeoutSeconds: 10
     successThreshold: 1
     failureThreshold: 3
   ## Prometheus Service Monitor
diff --git a/addons/mysql-cluster/8.0/plans/standard-10/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-10/bind.yaml
index 9b49f3f5..6a7147c9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-10/bind.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-10/bind.yaml
@@ -3,7 +3,7 @@ credential:
   - name: EXTRANET_HOST
     valueFrom:
       serviceRef:
-        name: {{ include "common.names.fullname" . }}
+        name: {{ include "common.names.fullname" . }}-router
         jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
 {{- end }}
   - name: HOST
diff --git a/addons/mysql-cluster/8.0/plans/standard-100/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-100/bind.yaml
index 9b49f3f5..6a7147c9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-100/bind.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-100/bind.yaml
@@ -3,7 +3,7 @@ credential:
   - name: EXTRANET_HOST
     valueFrom:
       serviceRef:
-        name: {{ include "common.names.fullname" . }}
+        name: {{ include "common.names.fullname" . }}-router
         jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
 {{- end }}
   - name: HOST
diff --git a/addons/mysql-cluster/8.0/plans/standard-20/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-20/bind.yaml
index 9b49f3f5..6a7147c9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-20/bind.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-20/bind.yaml
@@ -3,7 +3,7 @@ credential:
   - name: EXTRANET_HOST
     valueFrom:
       serviceRef:
-        name: {{ include "common.names.fullname" . }}
+        name: {{ include "common.names.fullname" . }}-router
         jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
 {{- end }}
   - name: HOST
diff --git a/addons/mysql-cluster/8.0/plans/standard-200/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-200/bind.yaml
index 9b49f3f5..6a7147c9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-200/bind.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-200/bind.yaml
@@ -3,7 +3,7 @@ credential:
   - name: EXTRANET_HOST
     valueFrom:
       serviceRef:
-        name: {{ include "common.names.fullname" . }}
+        name: {{ include "common.names.fullname" . }}-router
         jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
 {{- end }}
   - name: HOST
diff --git a/addons/mysql-cluster/8.0/plans/standard-400/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-400/bind.yaml
index 9b49f3f5..6a7147c9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-400/bind.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-400/bind.yaml
@@ -3,7 +3,7 @@ credential:
   - name: EXTRANET_HOST
     valueFrom:
       serviceRef:
-        name: {{ include "common.names.fullname" . }}
+        name: {{ include "common.names.fullname" . }}-router
         jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
 {{- end }}
   - name: HOST
diff --git a/addons/mysql-cluster/8.0/plans/standard-50/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-50/bind.yaml
index 9b49f3f5..6a7147c9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-50/bind.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-50/bind.yaml
@@ -3,7 +3,7 @@ credential:
   - name: EXTRANET_HOST
     valueFrom:
       serviceRef:
-        name: {{ include "common.names.fullname" . }}
+        name: {{ include "common.names.fullname" . }}-router
         jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
 {{- end }}
   - name: HOST
diff --git a/addons/mysql-cluster/8.0/plans/standard-800/bind.yaml b/addons/mysql-cluster/8.0/plans/standard-800/bind.yaml
index 9b49f3f5..6a7147c9 100644
--- a/addons/mysql-cluster/8.0/plans/standard-800/bind.yaml
+++ b/addons/mysql-cluster/8.0/plans/standard-800/bind.yaml
@@ -3,7 +3,7 @@ credential:
   - name: EXTRANET_HOST
     valueFrom:
       serviceRef:
-        name: {{ include "common.names.fullname" . }}
+        name: {{ include "common.names.fullname" . }}-router
         jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
 {{- end }}
   - name: HOST
diff --git a/addons/postgresql-cluster/15/plans/standard-100/values.yaml b/addons/postgresql-cluster/15/plans/standard-100/values.yaml
index fff5cf6a..29e30b2e 100644
--- a/addons/postgresql-cluster/15/plans/standard-100/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-100/values.yaml
@@ -56,7 +56,7 @@ postgresql:
     enable_partitionwise_join = on 
     enable_partitionwise_aggregate = on
     jit = on
-    max_slot_wal_keep_size = '1000 MB'
+     max_slot_wal_keep_size = 10GB
     track_wal_io_timing = on
     maintenance_io_concurrency = 100
 
diff --git a/addons/postgresql-cluster/15/plans/standard-200/values.yaml b/addons/postgresql-cluster/15/plans/standard-200/values.yaml
index 097a65b6..255f68a5 100644
--- a/addons/postgresql-cluster/15/plans/standard-200/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-200/values.yaml
@@ -55,7 +55,7 @@ postgresql:
     enable_partitionwise_join = on 
     enable_partitionwise_aggregate = on
     jit = on
-    max_slot_wal_keep_size = '1000 MB'
+    max_slot_wal_keep_size = 20GB
     track_wal_io_timing = on
     maintenance_io_concurrency = 100
 
diff --git a/addons/postgresql-cluster/15/plans/standard-400/values.yaml b/addons/postgresql-cluster/15/plans/standard-400/values.yaml
index 3dd25a18..0ead38b4 100644
--- a/addons/postgresql-cluster/15/plans/standard-400/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-400/values.yaml
@@ -55,7 +55,7 @@ postgresql:
     enable_partitionwise_join = on 
     enable_partitionwise_aggregate = on
     jit = on
-    max_slot_wal_keep_size = '1000 MB'
+    max_slot_wal_keep_size = 40GB
     track_wal_io_timing = on
     maintenance_io_concurrency = 100
 
diff --git a/addons/postgresql-cluster/15/plans/standard-4t/values.yaml b/addons/postgresql-cluster/15/plans/standard-4t/values.yaml
index d4046150..ff1aab00 100644
--- a/addons/postgresql-cluster/15/plans/standard-4t/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-4t/values.yaml
@@ -55,7 +55,7 @@ postgresql:
     enable_partitionwise_join = on 
     enable_partitionwise_aggregate = on
     jit = on
-    max_slot_wal_keep_size = '1000 MB'
+    max_slot_wal_keep_size = 100GB
     track_wal_io_timing = on
     maintenance_io_concurrency = 100
 
diff --git a/addons/postgresql-cluster/15/plans/standard-50/values.yaml b/addons/postgresql-cluster/15/plans/standard-50/values.yaml
index 4712cacb..5d12b83a 100644
--- a/addons/postgresql-cluster/15/plans/standard-50/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-50/values.yaml
@@ -56,7 +56,7 @@ postgresql:
     enable_partitionwise_join = on 
     enable_partitionwise_aggregate = on
     jit = on
-    max_slot_wal_keep_size = '1000 MB'
+    max_slot_wal_keep_size = 5GB
     track_wal_io_timing = on
     maintenance_io_concurrency = 100
 
diff --git a/addons/postgresql-cluster/15/plans/standard-800/values.yaml b/addons/postgresql-cluster/15/plans/standard-800/values.yaml
index a91fe646..9ef5bde1 100644
--- a/addons/postgresql-cluster/15/plans/standard-800/values.yaml
+++ b/addons/postgresql-cluster/15/plans/standard-800/values.yaml
@@ -55,7 +55,7 @@ postgresql:
     enable_partitionwise_join = on 
     enable_partitionwise_aggregate = on
     jit = on
-    max_slot_wal_keep_size = '1000 MB'
+    max_slot_wal_keep_size = 80GB
     track_wal_io_timing = on
     maintenance_io_concurrency = 100
 