diff --git a/addons/cloudbeaver/23/chart/cloudbeaver/values.yaml b/addons/cloudbeaver/23/chart/cloudbeaver/values.yaml
index 6ecd5d54..b8b4e403 100644
--- a/addons/cloudbeaver/23/chart/cloudbeaver/values.yaml
+++ b/addons/cloudbeaver/23/chart/cloudbeaver/values.yaml
@@ -516,8 +516,8 @@ ingress:
   extraRules: []
   ## @section Network Policy
 
-## MySQL Nework Policy configuration
-##
+## Nework Policy configuration
+
 networkPolicy:
   ## @param networkPolicy.enabled Enable creation of NetworkPolicy resources
   ##
diff --git a/addons/pmm/2.41/chart/pmm/Chart.yaml b/addons/pmm/2.41/chart/pmm/Chart.yaml
index 7353e99f..a80e91fc 100644
--- a/addons/pmm/2.41/chart/pmm/Chart.yaml
+++ b/addons/pmm/2.41/chart/pmm/Chart.yaml
@@ -1,18 +1,27 @@
+annotations:
+  category: monitor
 apiVersion: v2
-name: pmm
-description: A Helm chart for Percona Monitoring and Management (PMM)
-type: application
-version: 1.3.11
-appVersion: "2.41.1"
-home: https://github.com/percona/pmm
-maintainers:
-  - name: tplavcic
-    email: tomislav.plavcic@percona.com
-  - name: bupychuk
-    email: nurlan.moldomurov@percona.com
-  - name: spron-in
-    email: sergey.pronin@percona.com
+appVersion: 2.41
+dependencies:
+  - name: common
+    repository: oci://registry.drycc.cc/charts
+    tags:
+      - drycc-common
+    version: ~1.1.2
+description:  Percona Monitoring and Management an open source database monitoring, observability and management tool 
+engine: gotpl
+home: https://github.com/drycc/charts/tree/master/drycc/pmm
+icon: https://drycc.com/assets/stacks/pmm/img/pmm-stack-220x234.png
 keywords:
-  - PMM
-  - Monitoring
-icon: https://www.percona.com/sites/default/files/pmm-logo.png
+  - mysql
+  - postgres
+  - mongodb
+  - monitor
+maintainers:
+  - name: Drycc
+    url: https://github.com/drycc/charts
+name: pmm
+sources:
+  - https://github.com/drycc/containers/tree/main/drycc/mysql
+  - https://github.com/percona/pmm
+version: 2.41
diff --git a/addons/pmm/2.41/chart/pmm/templates/networkpolicy.yaml b/addons/pmm/2.41/chart/pmm/templates/networkpolicy.yaml
new file mode 100644
index 00000000..7bf5bed7
--- /dev/null
+++ b/addons/pmm/2.41/chart/pmm/templates/networkpolicy.yaml
@@ -0,0 +1,50 @@
+{{- /*
+Copyright Drycc Community.
+SPDX-License-Identifier: APACHE-2.0
+*/}}
+
+{{- if .Values.networkPolicy.enabled }}
+kind: NetworkPolicy
+apiVersion: {{ template "common.capabilities.networkPolicy.apiVersion" . }}
+metadata:
+  name: {{ template "common.names.fullname" . }}
+  namespace: {{ include "common.names.namespace" . | quote }}
+  labels: {{- include "common.labels.standard" . | nindent 4 }}
+    {{- if .Values.commonLabels }}
+    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
+    {{- end }}
+  {{- if .Values.commonAnnotations }}
+  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
+  {{- end }}
+spec:
+  podSelector:
+    matchLabels:
+      {{- include "common.labels.matchLabels" . | nindent 6 }}
+  {{- if eq .Values.service.type "ClusterIP" }}
+  ingress:
+    # Allow inbound connections
+    {{- with .Values.service.ports }}
+    - ports:
+    {{- toYaml . | nindent 8 }}
+  {{- end }}
+    {{- if or .Values.networkPolicy.allowCurrentNamespace .Values.networkPolicy.allowNamespaces }}
+      from:
+      {{- if .Values.networkPolicy.allowCurrentNamespace }}
+        - namespaceSelector:
+            matchLabels:
+              kubernetes.io/metadata.name: {{ .Release.Namespace }}
+      {{- end }}
+      {{- range $namespace := .Values.networkPolicy.allowNamespaces }}
+        {{- if $namespace }}
+        - namespaceSelector:
+            matchLabels:
+              kubernetes.io/metadata.name: {{ $namespace }}
+        {{- end }}
+      {{- end }}
+    {{- end }}
+  {{- end }}
+  {{- if eq .Values.service.type "LoadBalancer" }}
+  ingress:
+    - {}
+  {{- end}}
+{{- end }}
diff --git a/addons/pmm/2.41/chart/pmm/values.yaml b/addons/pmm/2.41/chart/pmm/values.yaml
index 21e4f3c6..ccda0b1a 100644
--- a/addons/pmm/2.41/chart/pmm/values.yaml
+++ b/addons/pmm/2.41/chart/pmm/values.yaml
@@ -226,3 +226,18 @@ extraVolumeMounts: []
 ## @param extraVolumes Optionally specify extra list of additional volumes
 ##
 extraVolumes: []
+
+## Nework Policy configuration
+##
+networkPolicy:
+  ## @param networkPolicy.enabled Enable creation of NetworkPolicy resources
+  ##
+  enabled: true 
+  ## @param networkPolicy.allowExternal The Policy model to apply.
+  ## When set to false, only pods with the correct
+  ## client label will have network access to the port MySQL is listening
+  ## on. When true, MySQL will accept connections from any source
+  ## (with the correct destination port).
+  ##
+  allowCurrentNamespace: true
+  allowNamespaces: []