diff --git a/addons/grafana/10/plans/standard-5/bind.yaml b/addons/grafana/10/plans/standard-1c1g5/bind.yaml
similarity index 100%
rename from addons/grafana/10/plans/standard-5/bind.yaml
rename to addons/grafana/10/plans/standard-1c1g5/bind.yaml
diff --git a/addons/grafana/10/plans/standard-5/meta.yaml b/addons/grafana/10/plans/standard-1c1g5/meta.yaml
similarity index 100%
rename from addons/grafana/10/plans/standard-5/meta.yaml
rename to addons/grafana/10/plans/standard-1c1g5/meta.yaml
diff --git a/addons/grafana/10/plans/standard-5/values.yaml b/addons/grafana/10/plans/standard-1c1g5/values.yaml
similarity index 100%
rename from addons/grafana/10/plans/standard-5/values.yaml
rename to addons/grafana/10/plans/standard-1c1g5/values.yaml
diff --git a/addons/grafana/10/plans/standard-2c4g10/bind.yaml b/addons/grafana/10/plans/standard-2c4g10/bind.yaml
new file mode 100644
index 00000000..ba4641b9
--- /dev/null
+++ b/addons/grafana/10/plans/standard-2c4g10/bind.yaml
@@ -0,0 +1,29 @@
+credential:
+  {{- if (eq .Values.service.type "LoadBalancer") }}
+  - name: EXTRANET_HOST
+    valueFrom:
+      serviceRef:
+        name: {{ include "common.names.fullname" . }}
+        jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
+   {{- end }}
+  - name: HOST
+    valueFrom:
+      serviceRef:
+        name: {{ include "common.names.fullname" . }}
+        jsonpath: '{ .spec.clusterIP }'
+  - name: PASSWORD
+    valueFrom:
+      secretKeyRef:
+        name: {{ include "common.names.fullname" . }}-admin
+        jsonpath: '{ .data.GF_SECURITY_ADMIN_PASSWORD }' 
+  - name: USERNAME
+    valueFrom:
+      secretKeyRef:
+        name: {{ include "common.names.fullname" . }}-admin
+        jsonpath: '{ .data.GF_SECURITY_ADMIN_USER }' 
+  - name: PORT
+    valueFrom:  
+      serviceRef:
+        name: {{ include "common.names.fullname" . }}
+        jsonpath: '{ .spec.ports[?(@.name=="http")].port }'
+
diff --git a/addons/grafana/10/plans/standard-2c4g10/meta.yaml b/addons/grafana/10/plans/standard-2c4g10/meta.yaml
new file mode 100644
index 00000000..57ec73b0
--- /dev/null
+++ b/addons/grafana/10/plans/standard-2c4g10/meta.yaml
@@ -0,0 +1,6 @@
+name: "standard-2c4g10"
+id: 837227d2-1522-45b9-abfe-7b631bd3bc91
+description: "grafana plan standard-2c4g10 which limit 2c4g ,default persistence size 10Gi."
+displayName: "2c4g10"
+bindable: true
+maximum_polling_duration: 1800
diff --git a/addons/grafana/10/plans/standard-2c4g10/values.yaml b/addons/grafana/10/plans/standard-2c4g10/values.yaml
new file mode 100644
index 00000000..5c7adfbf
--- /dev/null
+++ b/addons/grafana/10/plans/standard-2c4g10/values.yaml
@@ -0,0 +1,14 @@
+## @param fullnameOverride String to fully override common.names.fullname template
+##
+fullnameOverride: hb-grafana-standard-10
+
+resources:
+  limits:
+    cpu: 2000m
+    memory: 4Gi
+  requests:
+    cpu: 2000m
+    memory: 4Gi
+
+persistence:
+    size: 10Gi
\ No newline at end of file
diff --git a/addons/grafana/10/plans/standard-4c8g15/bind.yaml b/addons/grafana/10/plans/standard-4c8g15/bind.yaml
new file mode 100644
index 00000000..ba4641b9
--- /dev/null
+++ b/addons/grafana/10/plans/standard-4c8g15/bind.yaml
@@ -0,0 +1,29 @@
+credential:
+  {{- if (eq .Values.service.type "LoadBalancer") }}
+  - name: EXTRANET_HOST
+    valueFrom:
+      serviceRef:
+        name: {{ include "common.names.fullname" . }}
+        jsonpath: '{ .status.loadBalancer.ingress[*].ip }'
+   {{- end }}
+  - name: HOST
+    valueFrom:
+      serviceRef:
+        name: {{ include "common.names.fullname" . }}
+        jsonpath: '{ .spec.clusterIP }'
+  - name: PASSWORD
+    valueFrom:
+      secretKeyRef:
+        name: {{ include "common.names.fullname" . }}-admin
+        jsonpath: '{ .data.GF_SECURITY_ADMIN_PASSWORD }' 
+  - name: USERNAME
+    valueFrom:
+      secretKeyRef:
+        name: {{ include "common.names.fullname" . }}-admin
+        jsonpath: '{ .data.GF_SECURITY_ADMIN_USER }' 
+  - name: PORT
+    valueFrom:  
+      serviceRef:
+        name: {{ include "common.names.fullname" . }}
+        jsonpath: '{ .spec.ports[?(@.name=="http")].port }'
+
diff --git a/addons/grafana/10/plans/standard-4c8g15/meta.yaml b/addons/grafana/10/plans/standard-4c8g15/meta.yaml
new file mode 100644
index 00000000..63abd120
--- /dev/null
+++ b/addons/grafana/10/plans/standard-4c8g15/meta.yaml
@@ -0,0 +1,6 @@
+name: "standard-4c8g15"
+id: bb2f6e62-b279-40a4-967b-20aa5c12e770
+description: "grafana plan standard-4c8g15 which limit 4c8g ,default persistence size 15Gi."
+displayName: "4c8g15"
+bindable: true
+maximum_polling_duration: 1800
diff --git a/addons/grafana/10/plans/standard-4c8g15/values.yaml b/addons/grafana/10/plans/standard-4c8g15/values.yaml
new file mode 100644
index 00000000..d92cd6ee
--- /dev/null
+++ b/addons/grafana/10/plans/standard-4c8g15/values.yaml
@@ -0,0 +1,14 @@
+## @param fullnameOverride String to fully override common.names.fullname template
+##
+fullnameOverride: hb-grafana-standard-15
+
+resources:
+  limits:
+    cpu: 4000m
+    memory: 8Gi
+  requests:
+    cpu: 4000m
+    memory: 8Gi
+
+persistence:
+    size: 15Gi
\ No newline at end of file